<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_target_kernel_priv.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_target_kernel_priv.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Target Kernel implementation APIs. </p>

<p><a href="tivx__target__kernel__priv_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__t.html">tivx_target_kernel_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds information about a target kernel instance.  <a href="structtivx__target__kernel__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tivx__target__kernel__priv_8h.html#ac065dc5faa22d3716740e58099f9f20e">TIVX_TARGET_KERNEL_PRIV_H_</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__cfg.html#gae392680631db17e50dff61e0f8bdc273">TIVX_TARGET_KERNEL_MAX</a>&nbsp;&nbsp;&nbsp;(128u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max target kernel that will be active on a CPU at the same time.  <a href="group__group__tivx__target__kernel__cfg.html#gae392680631db17e50dff61e0f8bdc273"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__priv.html#ga68c924652f2f73568d4dc6144459df04">TIVX_TARGET_KERNEL_ID_INVALID</a>&nbsp;&nbsp;&nbsp;(0xFFFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to indicate invalid kernel ID.  <a href="group__group__tivx__target__kernel__priv.html#ga68c924652f2f73568d4dc6144459df04"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__priv.html#gac81cb5f6886a23d19b24265e6a87d8f5">tivxTargetKernelExecute</a> (<a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> target_kernel_instance, <a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *obj_desc[], uint16_t num_params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Execute kernel on the target.  <a href="group__group__tivx__target__kernel__priv.html#gac81cb5f6886a23d19b24265e6a87d8f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__priv.html#ga70bd6bb98783137e648551434fd182f9">tivxTargetKernelCreate</a> (<a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> target_kernel_instance, <a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *obj_desc[], uint16_t num_params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create kernel on the target.  <a href="group__group__tivx__target__kernel__priv.html#ga70bd6bb98783137e648551434fd182f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__priv.html#gacaa42e1e119b79ee988d74d9b31a96ec">tivxTargetKernelDelete</a> (<a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> target_kernel_instance, <a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *obj_desc[], uint16_t num_params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete kernel on the target.  <a href="group__group__tivx__target__kernel__priv.html#gacaa42e1e119b79ee988d74d9b31a96ec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__priv.html#ga9ec7ccc5134d81ce1224fa440affbabc">tivxTargetKernelControl</a> (<a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> target_kernel_instance, <a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *obj_desc[], uint16_t num_params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Control kernel on the target.  <a href="group__group__tivx__target__kernel__priv.html#ga9ec7ccc5134d81ce1224fa440affbabc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target__kernel.html#ga0db4696f0a19630d7f741ab5650be01a">tivx_target_kernel</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__priv.html#ga157f15fc858c41cf95fe125be0cc59e5">tivxTargetKernelGet</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> kernel_id, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns target kernel registered against this kernel ID and target ID.  <a href="group__group__tivx__target__kernel__priv.html#ga157f15fc858c41cf95fe125be0cc59e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__priv.html#gac8f389b1911b6edb882e85267559d069">tivxTargetKernelInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init target kernel module.  <a href="group__group__tivx__target__kernel__priv.html#gac8f389b1911b6edb882e85267559d069"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__priv.html#ga111b4b61a8df459f04ac552e9e65d995">tivxTargetKernelDeInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">DeInit target kernel module.  <a href="group__group__tivx__target__kernel__priv.html#ga111b4b61a8df459f04ac552e9e65d995"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ac065dc5faa22d3716740e58099f9f20e"></a><!-- doxytag: member="tivx_target_kernel_priv.h::TIVX_TARGET_KERNEL_PRIV_H_" ref="ac065dc5faa22d3716740e58099f9f20e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TARGET_KERNEL_PRIV_H_</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
